libosmovty 1.13.1.1-afb4 Osmocom VTY library

Data Fields
vty_app_info Struct Reference
VTY (Virtual TTY) interface

Information an application registers with the VTY. More...

`#include <vty.h>`

## Data Fields
const char * | name
| name of the application More...
const char * | version
| version string of the application More...
const char * | copyright
| copyright string of the application More...
void * | tall_ctx
| talloc context More...
int(* | go_parent_cb )(struct vty *vty)
| Call-back for taking actions upon exiting a node. More...
int(* | is_config_node )(struct vty *vty, int node) OSMO_DEPRECATED("Implicit parent node tracking has replaced the use of this callback. This callback is" " no longer called
| OBSOLETED: Implicit parent node tracking has replaced the use of this callback. More...
int(* | ever )
int(*) and can be lef | NULL )
int(* | config_is_consistent )(struct vty *vty)
| Check if the config is consistent before write. More...
const char * | usr_attr_desc [VTY_CMD_USR_ATTR_NUM]
| Description of the application specific VTY attributes (optional). More...
char | usr_attr_letters [VTY_CMD_USR_ATTR_NUM]
| Flag letters of the application specific VTY attributes (optional). More...

## Detailed Description

Information an application registers with the VTY.

## Field Documentation

## ◆ config_is_consistent

int(* vty_app_info::config_is_consistent) (struct vty *vty)

Check if the config is consistent before write.

Referenced by DEFUN().

## ◆ copyright

const char* vty_app_info::copyright

copyright string of the application

Referenced by DEFUN(), print_version(), and vty_hello().

## ◆ ever

int(* vty_app_info::ever)

## ◆ go_parent_cb

int(* vty_app_info::go_parent_cb) (struct vty *vty)

Call-back for taking actions upon exiting a node.

The return value is ignored, and changes to vty->node and vty->index made in this callback are ignored. Implicit parent node tracking always sets the correct parent node and vty->index after this callback exits, so this callback can handle only those nodes that should take specific actions upon node exit, or can be left NULL entirely.

Referenced by vty_go_parent().

## ◆ is_config_node

int(* vty_app_info::is_config_node) (struct vty *vty, int node) OSMO_DEPRECATED("Implicit parent node tracking has replaced the use of this callback. This callback is" " no longer called

OBSOLETED: Implicit parent node tracking has replaced the use of this callback.

This callback is no longer called, ever, and can be left NULL.

## ◆ name

const char* vty_app_info::name

name of the application

Referenced by DEFUN(), print_version(), vty_hello(), vty_prompt(), and write_config_file().

## ◆ NULL

int(*) and can be lef vty_app_info::NULL)

## ◆ tall_ctx

void* vty_app_info::tall_ctx

talloc context

Referenced by talloc_ctx_walk().

## ◆ usr_attr_desc

const char* vty_app_info::usr_attr_desc[VTY_CMD_USR_ATTR_NUM]

Description of the application specific VTY attributes (optional).

Referenced by print_attr_list(), and vty_dump_element().

## ◆ usr_attr_letters

char vty_app_info::usr_attr_letters[VTY_CMD_USR_ATTR_NUM]

Flag letters of the application specific VTY attributes (optional).

Referenced by cmd_flag_mask(), node_flag_mask(), print_attr_list(), vty_dump_element(), and vty_init().

## ◆ version

const char* vty_app_info::version

version string of the application

Referenced by DEFUN(), print_version(), and write_config_file().

The documentation for this struct was generated from the following file:

- include/osmocom/vty/vty.h